package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.DataSourceInfo;


/**
*  service接口类
*/
public interface DataSourceInfoService{

    List<DataSourceInfo> getDataSourceInfoList(DataSourceInfo record);

    List<DataSourceInfo> getDataSourceInfoByPage(Page page, DataSourceInfo record);

    DataSourceInfo getDataSourceInfoById(String id);

    DataSourceInfo getDataSourceInfo(DataSourceInfo record);

    boolean createDataSourceInfo(DataSourceInfo record);

    boolean deleteDataSourceInfo(String id);

    boolean updateDataSourceInfo(DataSourceInfo record);
}

